Inspect an attempt
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts/{attemptId}/inspect \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts/{attemptId}/inspect"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts/{attemptId}/inspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"gateway": "<string>",
"gateway_transaction_id": "<string>",
"retrieved_at": "2023-11-07T05:31:56Z",
"payload": {}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Payment attempts
Inspect an attempt
Fetches the record the underlying processor holds for this attempt. Intended for support and debugging; the payload is passed through unchanged.
GET
/
payment
/
intents
/
{paymentIntentId}
/
attempts
/
{attemptId}
/
inspect
Inspect an attempt
Authorizations
Your secret key, e.g. sk_live_... or sk_sandbox_....
Path Parameters
The payment intent id.
The payment attempt id.
Response
The provider record.
The record held by the underlying processor, as returned by it.
Show child attributes
Show child attributes
Was this page helpful?
⌘I